
namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 页面操作权限表
    /// </summary>
    [SugarTable("Sys_PageFunctionPermission")]
    public class Sys_PageFunctionPermission:EntityBase
    {
        /// <summary>
        /// 功能名称
        /// </summary>
        [SugarColumn(IsNullable =true, ColumnDataType = "varchar(30)")]
        public string FunctionName { get; set; }
        /// <summary>
        /// 功能权限Code
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string FunctionCode { get; set; }
        /// <summary>
        /// 是否启用0否1是
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType ="int")]
        public int IsEnable { get; set; }
    }
}
